dbXML API

## com.dbxml.db.client.xmldb
Class ResourceIteratorImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.ResourceIteratorImpl

All Implemented Interfaces:
  org.xmldb.api.base.ResourceIterator

public final class ResourceIteratorImpl
extends java.lang.Object
implements org.xmldb.api.base.ResourceIterator

ResourceIteratorImpl

Method Summary
`boolean` `hasMoreResources()`
`org.xmldb.api.base.Resource` `nextResource()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasMoreResources

    public boolean hasMoreResources()
                             throws org.xmldb.api.base.XMLDBException

  Specified by:
    `hasMoreResources` in interface `org.xmldb.api.base.ResourceIterator`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### nextResource

    public org.xmldb.api.base.Resource nextResource()
                                             throws org.xmldb.api.base.XMLDBException

  Specified by:
    `nextResource` in interface `org.xmldb.api.base.ResourceIterator`
  Throws:
    `org.xmldb.api.base.XMLDBException`

dbXML API

Copyright (c) 2004 The dbXML Group